#!/bin/bash

#Preparing the environment
cd $HOME
echo -e '# Load gcc-toolset-12 \nPATH="/opt/rh/gcc-toolset-12/root/usr/bin"${PATH:+:$PATH}' >> ~/.bashrc
source ~/.bashrc
mkdir $FITSPREPROC_REPO
mkdir $FITSPREPROC_PREFIX

#cloning FITSPROC
git clone https://www.ict.inaf.it/gitlab/bias/fits-preprocessor.git $FITSPREPROC_REPO
cd $FITSPREPROC_REPO
git submodule update --recursive --init

#installing FITSPREPROC
# build sofa
cd ./deps/sofa/20231011/c/src/
make
#install
cd $FITSPREPROC_REPO
mkdir build
cd build
cmake -DCMAKE_INSTALL_PREFIX=$FITSPREPROC_PREFIX ..
make all -j4
make install
